Add a transcript speaker
curl --request POST \
--url https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"speaker": "Interviewer"
}
'import requests
url = "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers"
payload = { "speaker": "Interviewer" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({speaker: 'Interviewer'})
};
fetch('https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'speaker' => 'Interviewer'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers"
payload := strings.NewReader("{\n \"speaker\": \"Interviewer\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"speaker\": \"Interviewer\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"speaker\": \"Interviewer\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"data": {
"id": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe",
"speaker": "Interviewer",
"jobId": "8f0b0a52-3f6e-4a35-9a3a-0b8a6f3c2d11",
"color": "#2CA02C"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Transcript Editing
Add Transcript Speaker
Adds a speaker to the job, with a color picked for it. It has no segments yet: give it some with Edit Transcript Segment.
POST
/
v2
/
transcript-jobs
/
{jobId}
/
speakers
Add a transcript speaker
curl --request POST \
--url https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"speaker": "Interviewer"
}
'import requests
url = "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers"
payload = { "speaker": "Interviewer" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({speaker: 'Interviewer'})
};
fetch('https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'speaker' => 'Interviewer'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers"
payload := strings.NewReader("{\n \"speaker\": \"Interviewer\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"speaker\": \"Interviewer\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v2/transcript-jobs/{jobId}/speakers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"speaker\": \"Interviewer\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"data": {
"id": "e5e7c0a4-b830-4b64-bc84-d4d931c3b2fe",
"speaker": "Interviewer",
"jobId": "8f0b0a52-3f6e-4a35-9a3a-0b8a6f3c2d11",
"color": "#2CA02C"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Authorizations
Path Parameters
Query Parameters
Body
application/json
Was this page helpful?